apiVersion: v1
kind: Pod
metadata:
  name: integration
  labels:
    app: adia
    service: integration
    tier: backend
spec:
  containers:
  - name: integration
    image: docker-hub.informatik.haw-hamburg.de/adia/integration:latest
    env:
    - name: BOOKINGSERVICE_BASE_URL
      value: "http://bookingservice"
    - name: SERVICE_REACHABILITY_BACK_OFF_PERIOD
      value: "3000"
    - name: SERVICE_REACHABILITY_MAX_ATTEMPTS
      value: "10"
    resources:
      requests:
        cpu: 150m
        memory: 50Mi
  restartPolicy: Never
